Ok. I finally got this working. For anyone having same problem, here is the
code to build a cube from basic vertex and face data in PythonOCC.

https://gist.github.com/1351019

HTH
--
Jayesh


On Tue, Nov 8, 2011 at 5:43 PM, Jayesh Salvi <jayeshsa...@gmail.com> wrote:

> Hi all,
>
> I am trying to build solid from a given set of points and faces. I defined
> gp_Pnt from vertices, then created Segments from consecutive points, then
> created Edges from these segments, then arranged consecutive edges into
> Wire and created Face out of the wire. From the documentation I understand
> the next step is to build Surface from Faces, then Shell from Surface (or
> may be create Shell directly from faces) and finally a solid from the
> Shell. But nowhere could I find how do these last 3 steps.
>
> From the documentation of BRepBuilderAPI_MakeShell I don't get how can
> multiple faces be used to create a Shell.
>
> Can anyone provide a hint about how to do it?
>
> Thanks.
> --
> Jayesh
>
_______________________________________________
Pythonocc-users mailing list
Pythonocc-users@gna.org
https://mail.gna.org/listinfo/pythonocc-users

Reply via email to